Package com.databricks.jdbc.common.util

## Class DriverUtil

- java.lang.Object
- - com.databricks.jdbc.common.util.DriverUtil

    public class DriverUtil
    extends Object

Utility class for operations related to the Databricks JDBC driver.

This class provides methods for retrieving version information, setting up logging and resolving metadata clients.

### Field Summary

Fields
`static String` `DBSQL_VERSION_SQL`

### Constructor Summary

Constructors
`DriverUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `getMajorVersion()`
`static int` `getMinorVersion()`
`static String` `getRootCauseMessage​(Throwable e)`
`static String` `getVersion()`
`static boolean` `isRunningAgainstFake()` Returns whether the driver is running against fake services based on request/response stubs.
`static void` `resolveMetadataClient​(IDatabricksConnection connection)`
`static void` `setUpLogging​(IDatabricksConnectionContext connectionContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DBSQL_VERSION_SQL

    public static final String DBSQL_VERSION_SQL

See Also:
  Constant Field Values

### Constructor Detail

#### DriverUtil

    public DriverUtil()

### Method Detail

#### getVersion

    public static String getVersion()

#### getMajorVersion

    public static int getMajorVersion()

#### getMinorVersion

    public static int getMinorVersion()

#### resolveMetadataClient

    public static void resolveMetadataClient​(IDatabricksConnection connection)
                                      throws DatabricksValidationException

Throws:
  `DatabricksValidationException`

#### setUpLogging

    public static void setUpLogging​(IDatabricksConnectionContext connectionContext)
                             throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### getRootCauseMessage

    public static String getRootCauseMessage​(Throwable e)

#### isRunningAgainstFake

    public static boolean isRunningAgainstFake()

Returns whether the driver is running against fake services based on request/response stubs.